#include <iostream>
#include <opencv2/opencv.hpp>

using namespace cv;

int main (void){

	int value = 0;
	int key;
	char str[10];

	Mat src_img(Size(400, 200), CV_8UC3, Scalar(255, 255, 255));
	Mat dst_img;

	/* ウィンドウの生成 */
	namedWindow("Window", 1);

	/* ウィンドウにトラックバーを設置 */
	createTrackbar("Trackbar", "Window", &value, 100);

	while(1){

		/* 元画像をコピー */
		src_img.copyTo(dst_img);

		/* 数値を文字列に変換 */
		sprintf(str, "%d", value);

		/* 文字を描画 */
		putText(dst_img, str, Point(10, 50), FONT_HERSHEY_DUPLEX, 1.0, Scalar(0, 0, 0));

		/* 画像を表示 */
		imshow("Window", dst_img);

		/* ESCが押されたら終了 */
		key = waitKey(50);
		if(key == 27) break;
	}
	
	return 0;
}
